<?php
	// Если есть пост-данные
	if($_POST){
		// присваиваем переменным вопрос и корректный ответ, а затем удаляем их из массива
		$question = $_POST['q'];
		$correct = $_POST['correct'];
		unset($_POST['q']);
		unset($_POST['correct']);
		// В POST остаются только ответы
		$answers = $_POST;

		$error = ""; //переменная для ошибок со стороны БД

		$connect = mysqli_connect('localhost', 'root', 'root', 'pr8.3'); //конект к БД
		// Запись вопроса
		mysqli_query($connect, "INSERT INTO `questions` (`question`) VALUES ('$question')");
		$error .= mysqli_error($connect); //если возникнут ошибки записать их в переменную
		$lastQuestionID = mysqli_insert_id($connect); //идентификатор только что записанного вопроса
		$error .= mysqli_error($connect); //если возникнут ошибки записать их в переменную

		// Проходимся по массиву с ответами
		foreach ($answers as $key => $value) {
			// Если номер ответа соответствует правильному в БД он пометится как правильный
			if ($key == $correct){
				$type = 1;
			}else{
				$type = 0;
			}

			// Запись ответов в БД, используя ID текущего вопроса
			mysqli_query($connect, "INSERT INTO `answers` (`answer`, `id_question`, `type`) VALUES ('$value', $lastQuestionID, $type)");
			$error .= mysqli_error($connect); //если возникнут ошибки записать их в переменную
		}

		// Создание куки с ошибками (если они есть JS выведет сообщение)
		setcookie('errors', $error);
	}
?>